1
0
forked from pool/virtualbox
virtualbox/vboxguestconfig.sh

63 lines
2.0 KiB
Bash
Raw Normal View History

2017-05-10 20:01:46 +02:00
#!/bin/bash
#
# Script to build VirtualBox guest kernel modules
# Copyright C 2017 by Larry Finger
#
# This script is part of the openSUSE VirtualBox package
#
SOURCE="/usr/src/kernel-modules/"
2017-05-10 20:01:46 +02:00
LOGFILE="/var/log/virtualbox.log"
INCLUDE="/lib/modules/`uname -r`/build/include"
#
# Test if vboxguest module loaded. If it is, skip everything else
loaded=$(lsmod | grep vboxguest)
if [ -n "$loaded" ] ; then
echo "Kernel modules available. but we will continue..."
fi
#
# Check if virtualbox-guest-source is installed, quit if not
if ! rpm -qf "$SOURCE/additions/guest_src.tar.bz2" &>/dev/null ; then
echo "Sources for building guest modules are not present,"
echo "Use 'sudo zypper install virtualbox-guest-source' to install them. Quitting .."
exit 1
fi
# unpack source
pushd $SOURCE > /dev/null 2>&1
tar jxf additions/guest_src.tar.bz2 > /dev/null 2>&1
popd > /dev/null 2>&1
#
# Check if virtualbox-guest-source version matches virtualbox version
if [ "$(rpm -q virtualbox virtualbox-guest-source --queryformat='%{version}-%{release}\n' 2>/dev/null | sort -u | wc -l)" -ne "1" ] ; then
echo "virtualbox-guest-source package version doesn't match the version of virtualbox package."
- File "fixes_for_4.14.patch" deleted - upstream fix. File "remove_vbox_video_build.patch" added as current versions of Xorg no longer need this component. Version update to 5.2.4 (released 2017-12-19 by Oracle) This is a maintenance release. The following items were fixed and/or added: User interface: Adjusting desktop file for X11 window managers (bug #17312) User interface: various high resolution display adjustments Audio: fixed SB16 volume handling (5.2 regression) Audio: various fixes USB/OHCI: fixed a problem where OHCI emulation might sporadically drop data transfers Linux hosts: fixed screen corruption when the host screen changes and a virtual machine window is maximized X11 Guest Additions: fixed a hang at the GNOME Shell login screen with 3D enabled (5.2 regression, bugs #17189 and #17190) Version bump to 5.2.2 (released 2017-11-24 by Oracle) This is a maintenance release. The following items were fixed and/or added: User interface: various improvements for high resolution screens User interface: added functionality to duplicate optical and floppy images User interface: various improvements for the virtual media manager VMM: fixed emulation so that Plan 9 guests can start once more (5.1.0 regression) Storage: fixed regression breaking iSCSI (bug #17196) Audio: added HDA support for more exotic guests (e.g. Haiku) Serial: fixed hanging I/O when using named pipes on Windows (5.2.0 regression; bug #17227) Serial: fixed broken communication with certain devices on Linux hosts USB/OHCI: improved behavior so that the controller state after a VM reset is closer to the initial state after VM start EFI: fixed HFS+ driver which in rare cases failed to access most files on a volume Shared clipboard: fixed hang with OS X host and Linux guest (bug #15782) Linux hosts: fixed kernel module compilation and start failures with Linux kernel 4.14 (bug #17267) X11 hosts: better handle WM_CLASS setting (bug #12534) Linux guests: fixed kernel module compilation and other problems with Linux kernel 4.14 (bug #12534) Linux guests: fixed kernel module compilation and other problems with Linux kernel 4.14 Linux guests: fixed various 5.2.0 regressions (bug #17163) Bridged networking: fixed duplicate EtherType in VLAN/priority tags on Linux (5.2.0 regression; bug #17277) OBS-URL: https://build.opensuse.org/package/show/Virtualization/virtualbox?expand=0&rev=393
2017-12-29 20:22:29 +01:00
echo "This situation is probably not fatal, thus we will try to continue .."
2017-05-10 20:01:46 +02:00
fi
# Prerequisites are available, start build
pushd $SOURCE/additions/src > /dev/null 2>&1
2017-05-10 20:01:46 +02:00
echo "Building kernel modules..."
make > $LOGFILE 2>&1
if [ "$?" -ne 0 ] ; then
2017-05-10 20:01:46 +02:00
echo ""
echo "Build of VirtualBox guest kernel modules failed."
echo "Look at $LOGFILE to find reasons."
popd > /dev/null 2>&1
exit 1
else
echo "Kernel modules built correctly. They will now be installed."
fi
make install >> $LOGFILE 2>&1
if [ "$?" -ne 0 ] ; then
2017-05-10 20:01:46 +02:00
echo ""
echo "Installation of VirtualBox guest kernel modules failed."
echo "Look at $LOGFILE to find reasons."
popd > /dev/null 2>&1
exit 1
fi
depmod -a
modprobe -av vboxsf vboxguest vboxvideo
2017-05-10 20:01:46 +02:00
cd ../..
rm -rf additions
2017-05-10 20:01:46 +02:00
popd > /dev/null 2>&1
echo "Kernel modules are installed and loaded."
exit 0